You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@activemq.apache.org by cl...@apache.org on 2019/06/25 14:23:09 UTC

[activemq-artemis-native] branch master updated: NO-JIRA Adding merge scripts

This is an automated email from the ASF dual-hosted git repository.

clebertsuconic pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/activemq-artemis-native.git


The following commit(s) were added to refs/heads/master by this push:
     new 6b56935  NO-JIRA Adding merge scripts
6b56935 is described below

commit 6b569359199967699c297553c9071c2350a0566e
Author: Clebert Suconic <cl...@apache.org>
AuthorDate: Tue Jun 25 10:22:46 2019 -0400

    NO-JIRA Adding merge scripts
---
 scripts/checkout-PR.sh  | 34 ++++++++++++++++++++++++++++++++++
 scripts/merge-PR.sh     | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 scripts/merge-branch.sh | 40 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 121 insertions(+)

diff --git a/scripts/checkout-PR.sh b/scripts/checkout-PR.sh
new file mode 100755
index 0000000..a354793
--- /dev/null
+++ b/scripts/checkout-PR.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+# Setting the script to fail if anything goes wrong
+set -e
+
+# this script is a helper that will checkout the PR Branch
+
+ARTEMIS_USER_REMOTE_NAME=${ARTEMIS_USER_REMOTE_NAME:-origin}
+ARTEMIS_APACHE_REMOTE_NAME=${ARTEMIS_APACHE_REMOTE_NAME:-apache}
+ARTEMIS_GITHUB_REMOTE_NAME=${ARTEMIS_GITHUB_REMOTE_NAME:-upstream}
+
+git fetch $ARTEMIS_USER_REMOTE_NAME
+git fetch $ARTEMIS_APACHE_REMOTE_NAME
+git fetch $ARTEMIS_GITHUB_REMOTE_NAME
+
+git checkout $ARTEMIS_GITHUB_REMOTE_NAME/pr/$1 -B $1
+
+echo "\ndo your own rebase by typing: git pull --rebase $ARTEMIS_APACHE_REMOTE_NAME master"
diff --git a/scripts/merge-PR.sh b/scripts/merge-PR.sh
new file mode 100755
index 0000000..976bacf
--- /dev/null
+++ b/scripts/merge-PR.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+# Setting the script to fail if anything goes wrong
+set -e
+
+# Use this to simplify the rebasing of PRs. PRs will be rebased during the merge on this process.
+# use: ./merge-PR <PRID> textual description
+
+# this script assumes the following remote entries on your config
+#
+# - origin being your github fork:: https://github.com/YOU/activemq-artemis.git
+# - upstream being the github fork for apache:: https://github.com/apache/activemq-artemis.git
+# - apache being the apache origin:: https://gitbox.apache.org/repos/asf/activemq-artemis.git
+#
+# Notice: you should add +refs/pull/*/head to your fetch config on upstream
+#        as specified on https://github.com/apache/activemq-artemis/blob/master/docs/hacking-guide/en/maintainers.md
+
+ARTEMIS_USER_REMOTE_NAME=${ARTEMIS_USER_REMOTE_NAME:-origin}
+ARTEMIS_APACHE_REMOTE_NAME=${ARTEMIS_APACHE_REMOTE_NAME:-apache}
+ARTEMIS_GITHUB_REMOTE_NAME=${ARTEMIS_GITHUB_REMOTE_NAME:-upstream}
+
+git fetch $ARTEMIS_USER_REMOTE_NAME
+git fetch $ARTEMIS_APACHE_REMOTE_NAME
+git fetch $ARTEMIS_GITHUB_REMOTE_NAME
+
+git checkout $ARTEMIS_APACHE_REMOTE_NAME/master -B master
+git checkout $ARTEMIS_GITHUB_REMOTE_NAME/pr/$1 -B $1
+git pull --rebase $ARTEMIS_APACHE_REMOTE_NAME master
+git checkout master
+git merge --no-ff $1 -m "This closes #$*"
+git branch -D $1
diff --git a/scripts/merge-branch.sh b/scripts/merge-branch.sh
new file mode 100755
index 0000000..1901623
--- /dev/null
+++ b/scripts/merge-branch.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+# Setting the script to fail if anything goes wrong
+set -e
+
+# This is a helpr script to help merging branches checked out
+# with checkout-PR.sh
+
+ARTEMIS_USER_REMOTE_NAME=${ARTEMIS_USER_REMOTE_NAME:-origin}
+ARTEMIS_APACHE_REMOTE_NAME=${ARTEMIS_APACHE_REMOTE_NAME:-apache}
+ARTEMIS_GITHUB_REMOTE_NAME=${ARTEMIS_GITHUB_REMOTE_NAME:-upstream}
+
+git fetch $ARTEMIS_USER_REMOTE_NAME
+git fetch $ARTEMIS_APACHE_REMOTE_NAME
+git fetch $ARTEMIS_GITHUB_REMOTE_NAME
+
+
+git checkout $1
+
+git pull --rebase $ARTEMIS_APACHE_REMOTE_NAME master
+git checkout $ARTEMIS_APACHE_REMOTE_NAME/master -B master
+
+git merge --no-ff $1 -m "This closes #$*"
+git branch -D $1